summaryrefslogtreecommitdiff
path: root/tests/cp/fail-perm
diff options
context:
space:
mode:
Diffstat (limited to 'tests/cp/fail-perm')
-rwxr-xr-xtests/cp/fail-perm5
1 files changed, 2 insertions, 3 deletions
diff --git a/tests/cp/fail-perm b/tests/cp/fail-perm
index 5fff090cd..a7486b6af 100755
--- a/tests/cp/fail-perm
+++ b/tests/cp/fail-perm
@@ -52,9 +52,8 @@ cp -pR D DD > /dev/null 2>&1 && fail=1
# Permissions on DD must be `dr-x------'
-set X `ls -ld DD`
-shift
-test "$1" = dr-x------ || fail=1
+mode=`ls -ld DD|cut -b-10`
+test "$mode" = dr-x------ || fail=1
chmod 0 D
ln -s D/D symlink